use ui::color;
use ui::context::Context;

const MARGIN: u16 = 7;

pub fn render(context: &Context, icon: &str, text: &str, x: u16, w: u16) {
    let icon_width = context.measure_text(icon);
    let text_width = w - MARGIN * 4 - icon_width;

    context.draw_fill(color::GREY, x, icon_width + MARGIN * 2);
    context.draw_text(icon, x + MARGIN);
    context.draw_text_with_clipping(text, x + icon_width + MARGIN * 3, text_width);
}

pub fn width(context: &Context, icon: &str, text: &str) -> u16 {
    context.measure_text(icon) + context.measure_text(text) + MARGIN * 4
}
