use ui::context::Context;
use ui::color::Color;
use widgets::{Widget, WidgetParams};

pub struct Spacer {
    context: Context,
    width: u16
}

pub fn spacer(params: WidgetParams) -> Box<Widget> {
    let mut context = params.context;
    let config: SpacerConfig = params.config.try_into().unwrap();
    context.set_bg_color(config.color);
    let widget = Spacer {
        context: context,
        width: config.width
    };
    Box::new(widget)
}

impl Widget for Spacer {
    fn render(&mut self, x: u16, width: u16) {
        self.context.draw_bg(x, width);
    }

    fn width(&mut self) -> u16 {
        self.width
    }
}

#[derive(Deserialize)]
struct SpacerConfig {
    width: u16,
    color: Color
}
